Bug 986049 - Host hangs when KVM guest is shut down
Host hangs when KVM guest is shut down
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 17:04 EDT by Alex G.
Modified: 2013-07-24 09:03 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 13:06:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex G. 2013-07-18 17:04:38 EDT
Description of problem:
Trying to shut down a guest OS, either by killing the qemu process, gracefully shutting down the guest, or forcing the guest to shut down via virt-manager's "Force Off" option, the host will hang.

Version-Release number of selected component (if applicable):
qemu-1.4.2-4.fc19.x86_64
kernel-3.9.9-301.fc19.x86_64
virt-manager-0.10.0-1.fc19.noarch
libvirt-1.0.5.2-1.fc19.x86_64

How reproducible:
Most of the time.

Steps to Reproduce:
1. Use virt-manager to create a VM with default settings.
2. Install an OS (I used Windows 7 Pro -- unsure if other guests may behave differently)
3. After the install is complete, power cycle the guest a few times.

Actual results:
After a few power cycles, the host will freeze up. Any subsequent power cycles of the guest will cause the host to hang.

Expected results:
Microsoft sues me for mis-typing the product key.

Additional info:
The behavior of the hang is similar to that described in Bug 983814, however, unlike 983814, it happens with both kvm-intel (Nehalem host CPU) and kvm-amd (A10-4600M host CPU) modules.
Comment 1 Cole Robinson 2013-07-23 13:06:55 EDT
This is already fixed with the latest F19 kernel, please update and reboot.
Comment 2 Kashyap Chamarthy 2013-07-24 09:03:12 EDT
Cole, you might want to note /which/ Kernel it fixed.

Note You need to log in before you can comment on or make changes to this bug.